Subject: Re: bug#36502: Fwd: bug#36502: 27.0.50; infinite loop in file-name-case-insensitive-p

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Jul 2019 09:41:50 +0300

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
> 	[email-masked], [email-masked],
> 	[email-masked]
> Date: Thu, 11 Jul 2019 19:36:38 -0400
> 
>   > (let ((default-directory "~foo"))
>   >    (expand-file-name "bar"))
>   > => "~foo/~foo/bar"
> 
> That is not right, but I think "~foo/bar" would be right.

No, I think this should yield an absolute file name starting with a
slash (on Posix systems).

>   > Part of what's confusing here is that file-name-absolute-p returns
>   > t on file names starting with "~", even though its doc string
>   > explicitly states that such a file name is not absolute.
> 
> This contradiction is not good.  But I would like to point out
> that, in a certain sesne, a name starting with ~ is absolute.
> It is not relative to the current directory.

It is only absolute if what follows ~ is a slash or a name of an
existing user.  I think we should fix the inconsistency in that
direction.